//
//  CoffeeSelectorViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón on 19/04/15.
//  Copyright (c) 2015 UPM. All rights reserved.
//

import UIKit

// Este VC usa segues unwind para devolver el valor

class CoffeeSelectorViewController: UIViewController, UITextFieldDelegate {

    var currentCoffee = ""
    
    @IBOutlet weak var coffeeTextField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        coffeeTextField.text = currentCoffee
        coffeeTextField.delegate = self
    }

    // MARK: - Navigation
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        
        if segue.identifier == "Coffee Selected" {
            
            currentCoffee = coffeeTextField.text!
            
        } else if segue.identifier == "Coffee Cancelled" {
            
            // no actualizo el parametro de entrada
        }
    }

    
    // MARK: Text Field Delegate
    
    func textFieldShouldReturn(textField: UITextField) -> Bool {
        
        hideKeyboard()
        
        return true
    }
    
    // MARK: Eventos: al tocar el fondo se oculta el teclado
    
    // He cambiado en el storyboard la clase de la UIView del fondo a UIControl
    
    @IBAction func hideKeyboard() {
     
        // Dejo de ser el primer responder, por lo que se oculta el teclado
        coffeeTextField.resignFirstResponder()
    }
}
