//
//  ViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón on 29/10/14.
//  Copyright (c) 2014 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    var myCoffee = ""
    var myCookie = ""
    
    @IBOutlet weak var coffeeButton: UIButton!
    @IBOutlet weak var cookieButton: UIButton!
    

    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {

        if let identifier = segue.identifier {
            switch identifier {
            case "Select Coffee":
                if let vc = segue.destinationViewController as? CoffeeSelectorViewController {
                    vc.currentCoffee = myCoffee
                }
            case "Select Cookie":
                if let vc = segue.destinationViewController as? CookieSelectorViewController {
                    vc.currentCookie = myCookie
                }
            default:
                break
            }
        }
    }


    // MARK: Coffee selection - unwind
    
    @IBAction func coffeeSelected(segue: UIStoryboardSegue) {
        
        if let vc = segue.sourceViewController as? CoffeeSelectorViewController {
            myCoffee = vc.currentCoffee
            setTitle(myCoffee, toButton: coffeeButton)
        }
    }
    
    // MARK: Cookie selection - unwind
    
    @IBAction func cookieSelected(segue: UIStoryboardSegue) {
        
        if let vc = segue.sourceViewController as? CookieSelectorViewController {
            myCookie = vc.currentCookie
            setTitle(myCookie, toButton: cookieButton)
        }
    }
    
    
    // MARK: Utilidades
    
    private func setTitle(title: String, toButton button: UIButton) {
        button.setTitle(title == "" ? "Elegir" : "I 😍 \(title)", forState: .Normal)
    }
    
}

